%define	name	angelwars
%define	version	0.24
%define release	%mkrel 13
%define Summary	Fast-paced, old-fashioned side-scrolling space shooter

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://download.sourceforge.net/angel-wars/%{name}-%{version}.tar.bz2
Source1:	http://download.sourceforge.net/angel-wars/%{name}-media-%{version}.tar.bz2
Source2:	http://download.sourceforge.net/angel-wars/%{name}-docs-%{version}.tar.bz2
Source3:	http://download.sourceforge.net/angel-wars/%{name}-levels-%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		%{name}-gcc32.fix.patch.bz2
Patch1:		%{name}-missing-zlib-flag.patch.bz2
License:	Artistic
Url:		http://angel-wars.sourceforge.net/
Group:		Games/Arcade
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	SDL-devel SDL_mixer-devel oggvorbis-devel
BuildRequires:	smpeg-devel png-devel jpeg-devel

%description
Angel Wars is a traditional "space shooter" with an unusual premise--the
player is a rebellious minion of Satan bent on taking the universe over
for himself. It is written in C++ and aims to be as object-oriented and
platform-independent as possible.

%prep
%setup -q -b1 -b2 -b3
%patch0 -p1
%patch1
# remove .xvpics directories
find . -type d -name .xvpics | xargs rm -rf

%build
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
perl -pi -e "s#images/#%{_gamesdatadir}/%{name}/images/#g" %{name}/*.cc
perl -pi -e "s#levels/#%{_gamesdatadir}/%{name}/levels/#g" %{name}/*.cc
perl -pi -e "s#sounds/#%{_gamesdatadir}/%{name}/sounds/#g" %{name}/*.cc
perl -pi -e "s#images/#%{_gamesdatadir}/%{name}/images/#g" %{name}/*/*.txt
perl -pi -e "s#levels/#%{_gamesdatadir}/%{name}/levels/#g" %{name}/*/*.txt
perl -pi -e "s#sounds/#%{_gamesdatadir}/%{name}/sounds/#g" %{name}/*/*.txt
#Really ugly workaround for lousy perl skills(this will be done in another way if I ever
#get the time and skillz;)
perl -pi -e "s#%{_gamesdatadir}/%{name}/images/%{_gamesdatadir}/%{name}#%{_gamesdatadir}/%{name}/images#g" %{name}/levels/*.txt

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall bindir=$RPM_BUILD_ROOT%{_gamesbindir} datadir=$RPM_BUILD_ROOT%{_gamesdatadir}
install -d $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
cp -a %{name}/images $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
cp -a %{name}/levels $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
cp -a %{name}/sounds $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Angel Wars
Comment=%{Summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{name}/docs/*
%{_gamesdatadir}/%{name}
%{_gamesbindir}/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop



%changelog
* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.24-13mdv2011.0
+ Revision: 609976
- rebuild

* Tue Sep 01 2009 Thierry Vignaud <tv@mandriva.org> 0.24-12mdv2010.0
+ Revision: 423945
- rebuild

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.24-11mdv2009.0
+ Revision: 218434
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.24-11mdv2008.1
+ Revision: 135820
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - import angelwars


* Mon Sep 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.24-11mdv2007.0
- XDG

* Tue Dec 27 2005 Lenny Cartier <lenny@mandriva.com> 0.24-10mdk
- rebuild

* Tue Jun 15 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.24-9mdk
- rebuild
- change summary macro to avoid possible conflicts if we were to build debug package
- don't bzip2 icons in src.rpm
- fix buildrequires

* Thu Jun 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.24-8mdk
- rebuild

* Sun Mar 23 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.24-7mdk
- removed lurking .xvpics directories
- zlib patch

* Sun Dec 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.24-6mdk
- rebuild for glibc and rpm

* Tue Nov 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.24-5mdk
- from Per yvind Karlsen <peroyvind@delonic.no> 
	- Fixed wrong path caused by lousy perl skills and insomnia;)	  (from Charles A. Edwards <eslrahc@bellsouth.net>)

* Fri Nov 15 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.24-4mdk
- Per yvind Karlsen <peroyvind@delonic.no>: change License to Artistic

* Fri Nov 15 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.24-3mdk
- drop unapplied patch
- fix URL

* Thu Nov 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.24-2mdk
- from Per yvind Karlsen <peroyvind@delonic.no> :
	- doc {name}/docs -> {name}/docs/*

* Thu Nov 14 2002 Per yvind Karlsen <peroyvind@delonic.no> 0.24-1mdk
- Initial release
